---
search:
  tags:
    - Wishlist
    - POST
seo:
  description: >-
    Generate a shareable token for a wishlist. Returns existing valid… Reference
    for the POST /api/v1/{app_id}/wishlists/{id}/share endpoint in the Customers
    API.
sidebar:
  label: Create or get share token for wishlist
  badge: POST
title: Create or get share token for wishlist
type: openapi-operation
---
Generate a shareable token for a wishlist. Returns existing valid token if one exists (otherwise creates a new one). The expires_at field is optional (can be null for no expiration, or a timestamp).

`POST /api/v1/{app_id}/wishlists/{id}/share`

**Request body** (`application/json`, required)

Share token request (expires\_at can be null or a timestamp)

- `expires_at` (string)

Request body example:

```json
{
  "expires_at": "string"
}
```

**Responses**

- `200` — OK
- `400` — Invalid request or expiration time
- `401` — Unauthorized
- `404` — Wishlist not found
- `500` — Internal server error

Response example, 200:

```json
{
  "created_at": "string",
  "expires_at": "string",
  "token": "string",
  "wishlist_id": "string"
}
```
